Skip to main content
GET
/
virtual-accounts
/
{virtualAccountId}
Get a Virtual Account
curl --request GET \
  --url https://sandbox-api.polygon.technology/v0.10/virtual-accounts/{virtualAccountId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox-api.polygon.technology/v0.10/virtual-accounts/{virtualAccountId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox-api.polygon.technology/v0.10/virtual-accounts/{virtualAccountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bankDetails": {
    "domestic": {
      "accountNumber": "<string>",
      "accountType": "<string>",
      "bankAddress": "<string>",
      "bankName": "<string>",
      "beneficiary": {
        "address": {
          "city": "<string>",
          "country": "<string>",
          "postalCode": "<string>",
          "streetAddress": "<string>",
          "countryArea": "<string>"
        },
        "name": "<string>"
      },
      "network": [],
      "routingNumber": "<string>"
    },
    "swift": {
      "accountNumber": "<string>",
      "bankAddress": "<string>",
      "bankName": "<string>",
      "beneficiary": {
        "address": {
          "city": "<string>",
          "country": "<string>",
          "postalCode": "<string>",
          "streetAddress": "<string>",
          "countryArea": "<string>"
        },
        "name": "<string>"
      },
      "bic": "<string>",
      "memo": "<string>"
    }
  },
  "bankMemo": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "customerId": "<string>",
  "deletionRequestedAt": "2023-11-07T05:31:56Z",
  "deletionRequestedBy": "<string>",
  "destination": {
    "category": "crypto",
    "details": {
      "asset": "<string>",
      "blockchainAddress": "<string>",
      "blockchainAsset": {
        "chainId": "<string>",
        "tokenId": "<string>"
      },
      "id": "<string>",
      "network": "<string>",
      "txHash": "<string>"
    },
    "type": "walletOms",
    "party": {
      "customerId": "<string>",
      "relationship": "customer"
    }
  },
  "finalBalance": {
    "currency": "<string>",
    "display": "<string>",
    "value": "<string>"
  },
  "id": "<string>",
  "label": "<string>",
  "metadata": {},
  "object": "virtualAccount",
  "source": {
    "asset": "<string>",
    "network": "<string>"
  },
  "statusReason": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Token from POST /auth/token

Path Parameters

virtualAccountId
string
required

Response

200 - application/json

The request has succeeded.

bankDetails
object

Null until the underlying deposit account is provisioned.

bankMemo
string
createdAt
string<date-time>
customerId
string
deletionRequestedAt
string<date-time>

Set when DELETE has been requested but the close webhook has not yet finalized.

deletionRequestedBy
string

Identity (JWT subject claim) of the caller who invoked DELETE.

destination
object

Unified side shape.

failureReason
enum<string>

Set when status = failed; closed enum identifying the failure category.

Available options:
provisioningTimeout,
systemError,
ereborRejected,
deletePendingTimeout
finalBalance
object

DDA balance snapshot at the moment the VA flipped to deleted.

id
string
label
string
metadata
object
object
enum<string>
Available options:
virtualAccount
source
object
status
enum<string>
Available options:
pending,
active,
frozen,
closed,
deleted,
failed,
inactiveActionRequired
statusReason
string
updatedAt
string<date-time>